package main

import (
	"fmt"
	"lyricdownloader/internal/cmdline"
	"os"

	_ "github.com/joho/godotenv/autoload"
)

// Possible algorithm
// First call the Genius API to get the lyrics
// Second scrape the Google search to get the musicmatch api version of the lyrics
// Compare two of them, If there are the same, print one, else print both files

// Possible flags -o (output) -versbose (print all debug) -search (the actual song you want to search)

var geniusApiToken = os.Getenv("GENIUS_API_TOKEN")

func main() {

	fmt.Println(geniusApiToken)

	os.Exit(cmdline.Main())

}
